org.keycloak.models.cache.infinispan.entities

## Class CachedClient

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedClient

- All Implemented Interfaces:
    Serializable, InRealm, Revisioned

      public class CachedClient
      extends AbstractRevisioned
      implements InRealm

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected String` | `baseUrl`
    `protected boolean` | `bearerOnly`
    `protected String` | `clientAuthenticatorType`
    `protected String` | `clientId`
    `protected String` | `clientTemplate`
    `protected boolean` | `consentRequired`
    `protected List<String>` | `defaultRoles`
    `protected String` | `description`
    `protected boolean` | `directAccessGrantsEnabled`
    `protected boolean` | `enabled`
    `protected boolean` | `frontchannelLogout`
    `protected boolean` | `fullScopeAllowed`
    `protected boolean` | `implicitFlowEnabled`
    `protected String` | `managementUrl`
    `protected String` | `name`
    `protected int` | `nodeReRegistrationTimeout`
    `protected int` | `notBefore`
    `protected String` | `protocol`
    `protected Set<ProtocolMapperModel>` | `protocolMappers`
    `protected boolean` | `publicClient`
    `protected String` | `realm`
    `protected Set<String>` | `redirectUris`
    `protected Map<String,Integer>` | `registeredNodes`
    `protected String` | `registrationToken`
    `protected String` | `rootUrl`
    `protected Set<String>` | `scope`
    `protected String` | `secret`
    `protected boolean` | `serviceAccountsEnabled`
    `protected boolean` | `standardFlowEnabled`
    `protected boolean` | `surrogateAuthRequired`
    `protected boolean` | `useTemplateConfig`
    `protected boolean` | `useTemplateMappers`
    `protected boolean` | `useTemplateScope`
    `protected Set<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedClient(Long revision, RealmModel realm, ClientModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `String` | `getClientTemplate()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getDescription()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `Set<ProtocolMapperModel>` | `getProtocolMappers()`
    `String` | `getRealm()`
    `Set<String>` | `getRedirectUris()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `String` | `getRegistrationToken()`
    `String` | `getRootUrl()`
    `Set<String>` | `getScope()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `boolean` | `isSurrogateAuthRequired()`
    `boolean` | `isUseTemplateConfig()`
    `boolean` | `isUseTemplateMappers()`
    `boolean` | `isUseTemplateScope()`
    `void` | `setDescription(String description)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Field Detail

    - #### clientId

          protected String clientId

    - #### name

          protected String name

    - #### description

          protected String description

    - #### realm

          protected String realm

    - #### redirectUris

          protected Set<String> redirectUris

    - #### enabled

          protected boolean enabled

    - #### clientAuthenticatorType

          protected String clientAuthenticatorType

    - #### secret

          protected String secret

    - #### registrationToken

          protected String registrationToken

    - #### protocol

          protected String protocol

    - #### attributes

          protected Map<String,String> attributes

    - #### publicClient

          protected boolean publicClient

    - #### fullScopeAllowed

          protected boolean fullScopeAllowed

    - #### frontchannelLogout

          protected boolean frontchannelLogout

    - #### notBefore

          protected int notBefore

    - #### scope

          protected Set<String> scope

    - #### webOrigins

          protected Set<String> webOrigins

    - #### protocolMappers

          protected Set<ProtocolMapperModel> protocolMappers

    - #### surrogateAuthRequired

          protected boolean surrogateAuthRequired

    - #### managementUrl

          protected String managementUrl

    - #### rootUrl

          protected String rootUrl

    - #### baseUrl

          protected String baseUrl

    - #### defaultRoles

          protected List<String> defaultRoles

    - #### bearerOnly

          protected boolean bearerOnly

    - #### consentRequired

          protected boolean consentRequired

    - #### standardFlowEnabled

          protected boolean standardFlowEnabled

    - #### implicitFlowEnabled

          protected boolean implicitFlowEnabled

    - #### directAccessGrantsEnabled

          protected boolean directAccessGrantsEnabled

    - #### serviceAccountsEnabled

          protected boolean serviceAccountsEnabled

    - #### nodeReRegistrationTimeout

          protected int nodeReRegistrationTimeout

    - #### registeredNodes

          protected Map<String,Integer> registeredNodes

    - #### clientTemplate

          protected String clientTemplate

    - #### useTemplateScope

          protected boolean useTemplateScope

    - #### useTemplateConfig

          protected boolean useTemplateConfig

    - #### useTemplateMappers

          protected boolean useTemplateMappers

  - ### Constructor Detail

    - #### CachedClient

          public CachedClient(Long revision,
                              RealmModel realm,
                              ClientModel model)

  - ### Method Detail

    - #### getClientId

          public String getClientId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getRealm

          public String getRealm()

      Specified by:
        `getRealm` in interface `InRealm`

    - #### getRedirectUris

          public Set<String> getRedirectUris()

    - #### isEnabled

          public boolean isEnabled()

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

    - #### getSecret

          public String getSecret()

    - #### getRegistrationToken

          public String getRegistrationToken()

    - #### isPublicClient

          public boolean isPublicClient()

    - #### getNotBefore

          public int getNotBefore()

    - #### getScope

          public Set<String> getScope()

    - #### getWebOrigins

          public Set<String> getWebOrigins()

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### getProtocol

          public String getProtocol()

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

    - #### getProtocolMappers

          public Set<ProtocolMapperModel> getProtocolMappers()

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### getManagementUrl

          public String getManagementUrl()

    - #### getRootUrl

          public String getRootUrl()

    - #### getBaseUrl

          public String getBaseUrl()

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

    - #### getClientTemplate

          public String getClientTemplate()

    - #### isUseTemplateScope

          public boolean isUseTemplateScope()

    - #### isUseTemplateConfig

          public boolean isUseTemplateConfig()

    - #### isUseTemplateMappers

          public boolean isUseTemplateMappers()

Copyright © 2016 JBoss by Red Hat. All rights reserved.